Get FPP Server Details
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers/{fppServerId}
Gets the details of the FPP server including clients and REST users
Request
Path Parameters
-
fppServerId(required): string
ID of the FPP server
Query Parameters
-
expand: string
restUsers | clients | properties are possible valuesAllowed Values:
[ "restUsers", "clients", "properties" ]
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. FPP server registration details retrieved.
Root Schema : FppServer
Type:
objectFPP server registration summary
Show Source
-
clients: array
clients
Client details registered with the FPP server
-
links: object
FppServerLinks
Subresource links for the FPP server details
-
properties: array
properties
Property details registered with the FPP server
-
restUsers: array
restUsers
REST user details registered with the FPP server
-
targetId: string
ID of the cluster target, where the FPP server is running
-
totalClients: integer
Total count of clients registered with the FPP server
-
totalProperties: integer
Total count of properties registered with the FPP server
-
totalRestUsers: integer
Total count of REST users registered with the FPP server
Match All
FPP server registration summary
Show Source
Nested Schema : FppServerLinks
Type:
objectSubresource links for the FPP server details
Show Source
-
clients(required): object
Link
A link
-
properties(required): object
Link
A link
-
restUsers(required): object
Link
A link
-
self(required): object
Link
A link
Nested Schema : properties
Type:
arrayProperty details registered with the FPP server
Show Source
-
Array of:
object PropertySummary
Details of the property
Nested Schema : restUsers
Type:
arrayREST user details registered with the FPP server
Show Source
-
Array of:
object CreateRestUserDetails
Details of REST user
Nested Schema : schema
Type:
objectDetails of target
Show Source
-
id(required): string
(raw)
ID of the targetExample:
317C6AD6C69832D0ADDA279BEB7B7F32 -
name(required): string
Name of the targetExample:
emdevinfra.oraclevcn.com -
typeDisplayName: string
Display name for the target typeExample:
Host -
typeName(required): string
Type of the targetExample:
host
Nested Schema : items
Type:
Show Source
object-
targetId: string
ID of the FPP client target
Match All
Show Source
Nested Schema : PropertySummary
Type:
objectDetails of the property
Show Source
-
name(required): string
Name of the property
-
value(required): string
Value of the property
Nested Schema : CreateRestUserDetails
Type:
objectDetails of REST user
Show Source
-
password(required): string
(password)
Password to create the REST credential in EM, which is required to make a call to the FPP REST URLExample:
welcome1 -
username(required): string
REST username to be registered with the FPP server
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
Client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
403 Response
Forbidden. The user is forbidden to perform the requested operation
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Resource not found or not authorized for access
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
Indicates that a required service is not available
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description